Download it now!
Bug 96894 - TextureAtlas - dispose it at a sensible time ...
Summary: TextureAtlas - dispose it at a sensible time ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-01-04 21:36 UTC by Michael Meeks
Modified: 2016-10-25 19:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-01-04 21:36:14 UTC
We currently have somewhat un-controlled deletion of the VCL global TextureAtlas classes, which is really not ideal.

These should be done before/durin. VCL shutdown.
Comment 1 Michael Meeks 2016-01-04 21:46:02 UTC
https://gerrit.libreoffice.org/21089

Is the fix ...
Comment 2 Commit Notification 2016-01-05 10:57:36 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38f9ef832cd583366eb0a2a730baefec40534922

tdf#96894 - get ordering right for TextureAtlas cleanup on shutdown.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2016-01-05 11:51:57 UTC
And pending for 5-1 ...
Comment 4 Commit Notification 2016-01-07 09:10:17 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab1eed777a2e5fa94fdde1cc8260cf8ad264c145&h=libreoffice-5-1

tdf#96894 - get ordering right for TextureAtlas cleanup on shutdown.

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.